Не обновляется... синаптик

Изображение пользователя Алчон.

Добрый день всем! Мне, конечно, стыдно, что забросила начатое и перестала пользоваться системой Linux... Но вос сейчас вернулась, правда не знаю, на сколько и попробовала обновить дистрибутив через синаптик... не тут-то было... пишет ошибку и говорит, что обновление может быть произведено только после устранения ошибок в зависимостях... Но для меня это... как бы сказать... для человека несведущего... вобщем я не знаю, что делать... может кто подскажет? Мне просто надо, чтобы система работала и без сбоев...
Вот запись при попытке обновиться: E: Eror pkg ProblemResolver:: Resolve generated breaks, this mau be caused by held packages

Альт-линукс-5 Мастер (школьный)

Ну во-первых

Нужно посмотреть какие репозитории у вас прописаны.
Делается через меню Параметры -> Репозитории.
Обновляетесь через интернет, значит должны быть по крайней мере два i586 и noarch.

Изображение пользователя Алчон.

Спасибо за

Спасибо за ответ!
А во-вторых? Эти реппозитории используются...

Полный путь до

Полный путь до репозиториев напишете?
У меня - ftp://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch и всё нормально обновляется.
А у Вас?

Изображение пользователя Алчон.

Да, и у меня

Да, и у меня такой же путь...
Для обновления я в синаптике нажимаю "Получить сведения", затем "Отметить для обновления", затем в появившемся окошке со множеством файлов (или пакетов) для удаления и обновления, нажимаю "Применить" и потом появляется запись "В вашей системе найдены следующие проблемы и та запись, что я писала в первом своем сообщении (Error...). При попытке повторно обновиться, высвечивается окошечко "Невозможно обновить систему! Сначала необходимо исправить проблемы в зависимостях".

А в отчете пишет много чего...
Не удалось загрузить либо проверить файлы версий для некоторых репозиториев.
Failed to fetch http://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch/i586/base/r... Could not connect to ftp.altlinux.org:80 (62.152.55.238). - connect (113 No route to host)
Failed to fetch http://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch/noarch/base... Could not connect to ftp.altlinux.org:80 (62.152.55.238). - connect (113 No route to host)
Failed to fetch http://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch/i586/base/p... Could not connect to ftp.altlinux.org:80 (62.152.55.238). - connect (113 No route to host)
Failed to fetch http://ftp.altlinux.org/pub/distributions/ALTLinux/p5/branch/i586/base/r... Could not connect to ftp.altlinux.org:80 (62.152.55.238), connection timed out

Воть...

Научитесь читать, что

вам пишет программа: 113 No route to host - у вас просто не виден сервер с репозиторием.
Т.е. или у вас интернет в тот момент не работал или из вашего угла интернета не видно ftp.altlinux.org - попробуйте какое-нибудь зеркало.

Изображение пользователя Алчон.

Все работает,

Все работает, такой отчет выдается не всегда... но все-равно не обновляется... Инет стабильный, без зависаний и отключений.

Еще раз,

Интернет может быть стабильным, но доступ к ftp.altlinux.org затруднен.
Советы:
1. Используйте зеркало.
2. Если вы умеете пользоваться traceroute то можно поискать сервер который к вам ближе.

Изображение пользователя Алчон.

traceroute... нет, а

traceroute... нет, а зеркало где искать? Можно ссылочку? Пожалуйста...

Вот, наверное нашла... зеркало...
ftp://mirror.yandex.ru/altlinux/p5/branch/

Пишет при попытке обновиться:
В вашей системе найдены следующие проблемы:
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Изображение пользователя Школяр.

Нет, у вас путь не тот же

у ПРИВЕТа ftp://ftp, а у вас http://ftp. Попробуйте заменить

Изображение пользователя Алчон.

Заменила, пишет

Заменила, пишет все то же...

Изображение пользователя Школяр.

непонятно

у вас вообще в системе, в которой вы пытаетесь обновиться синаптиком, интернет работает? в браузере эти адреса открыть можно? попробуйте, пожалуйста, вставить эту ссылку в браузер

Изображение пользователя Алчон.

Да, все

Да, все работает, ссылку вставила в браузер, показался каталог файлов, т.е. связь есть... Интернет стабильный...

Попробуйте

Обновиться с помощью Apt Indicator.
Были когда-то тоже проблемы с обновлением, так только он помог.

Изображение пользователя Алчон.

А можно

А можно поподробнее как это сделать? Я мало что знаю...

Это программа

для автоматической проверки обновлений.
В меню KDE на самом верху есть поиск, вводите туда Apt indicator. Появляется ярлык на нужную программу. Выбираете и ждёте. В трее покажет что есть обновления. Нажимаете по значку в трее. Появляется окно, выбираете автоматическое обновление. Появится тот же synaptic после ввода пароля root-a.

Можно здесь посмотреть

http://www.linformatika.ru/content/obnovleniya_dlya_5_platformy

Изображение пользователя Алчон.

Я уже перестала

Я уже перестала понимать... в поиске ввела Apt indicator, поиск ничего не дал... это как-то можно объяснить?
Кстати, при изменении реппозитория на зеркало в отчете появилось множество доступных обновлений, запустила в синаптике автоматическое обновление, снова та же ошибка, о какой я писала ранее... И пишет, что надо исправить ошибки в зависимостях...

Ох, плохо, когда знаешь и забыл, а еще хуже, когда не знаешь... и не понимаешь... Наверное надо завязывать с этой системой... конечно, хотелось научиться хоть чему-то... но времени катастрофически не хватает... это ж надо сидеть и разбираться... Я наверное пессимистка все-таки по отношению к Линуксу...

Начнём с начала

Запускаете Synaptic.
Переходите в Пользовательское.
Находите пункт С ошибками.
Смотрите какие пакеты у Вас установлены с ошибками.

Изображение пользователя Алчон.

xulrunner-192 и

xulrunner-192 и xulrunner-192-libs еще бы знать, что это... И что дальше?

Ой, я тут что-то сделала... пакеты грузиться начали... интересно то, что надо не удалится???

Изображение пользователя Школяр.

видимо, вы

выбрали опцию "исправить", пакеты, установленные неправильно, были удалены. Если среди того, что вам надо, были неверно установленные пакеты, они удалятся.
1. Если вы устанавливаете какие-то пакеты в систему, минуя synaptic (или же консольную команду apt-get), а используя вместо этого команду rpm, то это почти всегда приводит к дефектам в системе регистрации пакетов дистрибутива и ошибкам при обновлении.
2. xulrunner-192, если я не ошибаюсь, это пакет внутреннего языка\среды выполнения для mozilla

Изображение пользователя Алчон.

Я все пакеты

Я все пакеты устанавливала только через консоль apt-get install...

Я сейчас попробую еще раз через синаптик обновиться... вчера что-то закачалось (примерно 370 Мб) затем началась установка и все остановилось... опять какую-то ошибку написал...
А в реппозиториях надо, чтобы один источник был? Нельзя, к примеру оставить галки и у зеркала и у другого какого-нибудь? Ну наверное нет... Просто вчера качала с зеркала, а при установке было сказано, что невозможно что-то с него получить, хотя все уже закачалось...

Никак я со своей системой не справлюсь...

Изображение пользователя Алчон.

Ну вот и

Ну вот и закончилась эта эпопея... я не могу войти в линукс... дальше приветствия и окошечка введения пароля меня не пускают... а жаль...

Не надо

Не надо печалиться, загрузитесь с LiveCD, заберите необходимую информацию, и с легким сердцем переустановите Linux. Не всегда на вопросы находятся сразу ответы.

Изображение пользователя Алчон.

Наверное я буду

Наверное я буду не переустанавливать альт-линукс, а устанавливать какой-нибудь другой дистрибутив... пока думаю... Всем огромное спасибо за оказанную помощь!!!